VIPService
Get VIP Status
Get VIP qualification status for the authenticated caller's root account.
Request
curl --request GET \ \ --url 'https://api.testnet.polyester.com/v1/vip/status' \ --header 'Accept: */*' \ --header 'X-API-KEY-ID: YOUR_API_KEY_ID' \ --header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \ --header 'X-API-SIGNATURE: YOUR_API_SIGNATURE'
Responses
{
"aopTier": 10,
"averageAop30dUsd": "25000",
"effectiveFrom": "2025-01-01T00:00:00Z",
"evaluatedAt": "2025-01-01T00:00:00Z",
"metricsAsOf": "2025-01-01T00:00:00Z",
"nextTierThresholds": {
"aopThresholdUsd": "50000",
"tier": 1,
"volumeThresholdUsd": "12.3456"
},
"policyEffectiveFrom": "2025-01-01T00:00:00Z",
"policyVersion": "1",
"settledVolume30dUsd": "12.3456",
"tier": 10,
"volumeTier": 123456
}Effective VIP tier in the inclusive range 0 through 10.
10Tier earned from rolling 30-day settled spot volume, in the inclusive range 0 through 10.
123456Tier earned from rolling 30-day average portfolio value, in the inclusive range 0 through 10.
10Rolling 30-day settled spot volume in USD, encoded as a non-negative base-10 decimal string without separators or a currency symbol. Omitted when complete qualification metrics are unavailable for the assignment.
12.3456Rolling 30-day average portfolio value in USD, encoded as a non-negative base-10 decimal string without separators or a currency symbol. Omitted when complete qualification metrics are unavailable for the assignment.
25000Positive identifier of the VIP policy used for this assignment.
1UTC time at which the selected assignment policy became effective.
2025-01-01T00:00:00ZUTC time from which the explicit VIP assignment is effective. Omitted while a new account is using the default VIP0 tier.
2025-01-01T00:00:00ZUTC time at which the explicit assignment was evaluated. Omitted while a new account is using the default VIP0 tier.
2025-01-01T00:00:00ZUTC cutoff of the rolling metrics used for this assignment. Omitted when complete qualification metrics are unavailable.
2025-01-01T00:00:00ZNumeric next tier in the inclusive range 1 through 10.
1Rolling 30-day settled spot volume entry threshold in USD, encoded as a non-negative base-10 decimal string without separators or a currency symbol.
12.3456Rolling 30-day average portfolio value entry threshold in USD, encoded as a positive base-10 decimal string without separators or a currency symbol.
50000| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |